Debian Bug report logs - #652193
nvidia-cuda-toolkit: cuda should be in main (not non-free)

version graph

Package: nvidia-cuda-toolkit; Maintainer for nvidia-cuda-toolkit is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>; Source for nvidia-cuda-toolkit is src:nvidia-cuda-toolkit.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Thu, 15 Dec 2011 12:57:02 UTC

Severity: wishlist

Tags: wontfix

Found in version nvidia-cuda-toolkit/4.0.17-3

Done: Mathieu Malaterre <malat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#652193; Package nvidia-cuda-toolkit. (Thu, 15 Dec 2011 12:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Thu, 15 Dec 2011 12:57:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nvidia-cuda-toolkit: cuda should be in main (not non-free)
Date: Thu, 15 Dec 2011 13:55:01 +0100
Package: nvidia-cuda-toolkit
Version: 4.0.17-3
Severity: normal


I am leaving this bug as normal; I do not believe that serious is appropriate in this case.

Anyway the news are that CUDA will be opensource:

http://developer.nvidia.com/content/cuda-platform-source-release

Thanks

-- System Information:
Debian Release: 6.0.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages nvidia-cuda-toolkit depends on:
ii  g++-4.4                 4.4.5-8          The GNU C++ compiler
ii  gcc-4.4                 4.4.5-8          The GNU C compiler
ii  libc6                   2.11.2-10        Embedded GNU C Library: Shared lib
ii  libcudart4              4.0.17-3         NVIDIA CUDA runtime library
ii  libgcc1                 1:4.4.5-8        GCC support library
ii  libstdc++6              4.4.5-8          The GNU Standard C++ Library v3
ii  nvidia-cuda-dev         4.0.17-3         NVIDIA CUDA development files
ii  nvidia-opencl-dev       4.0.17-3         NVIDIA OpenCL development files
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages nvidia-cuda-toolkit recommends:
ii  nvidia-compute-profiler       4.0.17-3   NVIDIA Compute Visual Profiler
ii  nvidia-cuda-doc               4.0.17-3   NVIDIA CUDA and OpenCL documentati
ii  nvidia-cuda-gdb               4.0.17-3   NVIDIA CUDA GDB

nvidia-cuda-toolkit suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#652193; Package nvidia-cuda-toolkit. (Thu, 15 Dec 2011 13:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Thu, 15 Dec 2011 13:57:08 GMT) Full text and rfc822 format available.

Message #10 received at 652193@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 652193@bugs.debian.org
Subject: Re: Bug#652193: nvidia-cuda-toolkit: cuda should be in main (not non-free)
Date: Thu, 15 Dec 2011 14:00:20 +0100
Le jeudi 15 décembre 2011 à 13:55 +0100, Mathieu Malaterre a écrit :
> Anyway the news are that CUDA will be opensource:
Opensource doesn't mean free... For now, AFAIK, we don't know which
license it is going to be released under, neither what will be
available.
(and it look like something new "Using the source code for new
LLVM-based compiler")

Syvestre





Severity set to 'wishlist' from 'normal' Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 18 Feb 2012 16:03:07 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:55:29 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 30 Oct 2013 16:51:04 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <malat@debian.org>:
You have taken responsibility. (Wed, 30 Oct 2013 16:51:21 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Wed, 30 Oct 2013 16:51:21 GMT) Full text and rfc822 format available.

Message #21 received at 652193-done@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 652193-done@bugs.debian.org, Control bugs server <control@bugs.debian.org>
Date: Wed, 30 Oct 2013 17:45:34 +0100
tags 652193 wontfix
thanks

I do not think CUDA is going free/opensource anytime soon. So closing.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Nov 2013 07:30:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:17:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.